Bug 847389 - Review Request: python-supernova - wrapper for python-novaclient to access multiple OpenStack nova environments
Review Request: python-supernova - wrapper for python-novaclient to access mu...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 16:23 EDT by Major Hayden
Modified: 2013-03-08 07:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-08 07:57:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Major Hayden 2012-08-10 16:23:11 EDT
Spec URL: http://majorhayden.com/RPMS/python-supernova/python-supernova.spec
SRPM URL: http://majorhayden.com/RPMS/python-supernova/python-supernova-0.7.4-1.fc17.src.rpm
Description: This is a wrapper for python-novaclient which allows users to specify OpenStack nova environment credentials in a simple configuration file while also allowing users to store sensitive credentials in a keyring via python-keyring.
Fedora Account System Username: mhayden
Comment 1 Mario Blättermann 2012-09-22 11:38:12 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4513652

The build fails because of a missing python-keyring in BuildRequires. From build-log:

+ /usr/bin/python setup.py build
Traceback (most recent call last):
  File "setup.py", line 18, in <module>
    from supernova import supernova
  File "/builddir/build/BUILD/supernova/supernova/supernova.py", line 18, in <module>
    import keyring
ImportError: No module named keyring


Probably you can drop python-keyring from Requires then, usually rpm should pick up this dependency automatically.
Comment 2 Mario Blättermann 2012-11-15 05:12:32 EST
Any news here...?
Comment 3 Major Hayden 2012-11-15 08:31:28 EST
Sorry Mario - I missed your last update. I'll try to get this wrapped up this week.
Comment 5 Mario Blättermann 2012-11-15 16:34:36 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4694118

$ rpmlint -i -v *
python-supernova.src: I: checking
python-supernova.src: W: spelling-error Summary(en_US) novaclient -> nova client, nova-client, clientele
The value of this tag appears to be misspelled. Please double-check.

python-supernova.src: W: spelling-error %description -l en_US novaclient -> nova client, nova-client, clientele
The value of this tag appears to be misspelled. Please double-check.

python-supernova.src: W: spelling-error %description -l en_US keyring -> keying, key ring, key-ring
The value of this tag appears to be misspelled. Please double-check.

python-supernova.src: I: checking-url http://github.com/rackerhacker/supernova (timeout 10 seconds)
python-supernova.src:19: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 19)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

python-supernova.src: W: invalid-url Source0: supernova-0.7.5.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

python-supernova.noarch: I: checking
python-supernova.noarch: W: spelling-error Summary(en_US) novaclient -> nova client, nova-client, clientele
The value of this tag appears to be misspelled. Please double-check.

python-supernova.noarch: W: spelling-error %description -l en_US novaclient -> nova client, nova-client, clientele
The value of this tag appears to be misspelled. Please double-check.

python-supernova.noarch: W: spelling-error %description -l en_US keyring -> keying, key ring, key-ring
The value of this tag appears to be misspelled. Please double-check.

python-supernova.noarch: I: checking-url http://github.com/rackerhacker/supernova (timeout 10 seconds)
python-supernova.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

python-supernova.noarch: W: no-manual-page-for-binary supernova
Each executable in standard binary directories should have a man page.

python-supernova.noarch: W: no-manual-page-for-binary supernova-keyring
Each executable in standard binary directories should have a man page.

python-supernova.spec:19: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 19)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

python-supernova.spec: W: invalid-url Source0: supernova-0.7.5.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

2 packages and 1 specfiles checked; 0 errors, 13 warnings.


Some false positive spelling errors. Moreover, an invalid source file which can also be ignored in this case.

There remains still one issue: Please use either tabs or spaces in the spec file. I recommend the latter, because this way your spec looks the same in all text editors regardless of the configured tab width.
Comment 6 Major Hayden 2012-11-16 14:38:48 EST
Good catch.  I missed that line in the rpmlint output about tabs/spaces.

http://majorhayden.com/RPMS/python-supernova/python-supernova-0.7.5-2.fc17.src.rpm
Comment 7 Mario Blättermann 2012-11-23 14:40:14 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4721916

$ rpmlint -i -v *
python-supernova.src: I: checking
python-supernova.src: W: spelling-error Summary(en_US) novaclient -> nova client, nova-client, clientele
The value of this tag appears to be misspelled. Please double-check.

python-supernova.src: W: spelling-error %description -l en_US novaclient -> nova client, nova-client, clientele
The value of this tag appears to be misspelled. Please double-check.

python-supernova.src: W: spelling-error %description -l en_US keyring -> keying, key ring, key-ring
The value of this tag appears to be misspelled. Please double-check.

python-supernova.src: I: checking-url http://github.com/rackerhacker/supernova (timeout 10 seconds)
python-supernova.src: W: invalid-url Source0: supernova-0.7.5.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

python-supernova.noarch: I: checking
python-supernova.noarch: W: spelling-error Summary(en_US) novaclient -> nova client, nova-client, clientele
The value of this tag appears to be misspelled. Please double-check.

python-supernova.noarch: W: spelling-error %description -l en_US novaclient -> nova client, nova-client, clientele
The value of this tag appears to be misspelled. Please double-check.

python-supernova.noarch: W: spelling-error %description -l en_US keyring -> keying, key ring, key-ring
The value of this tag appears to be misspelled. Please double-check.

python-supernova.noarch: I: checking-url http://github.com/rackerhacker/supernova (timeout 10 seconds)
python-supernova.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

python-supernova.noarch: W: no-manual-page-for-binary supernova
Each executable in standard binary directories should have a man page.

python-supernova.noarch: W: no-manual-page-for-binary supernova-keyring
Each executable in standard binary directories should have a man page.

python-supernova.spec: W: invalid-url Source0: supernova-0.7.5.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

2 packages and 1 specfiles checked; 0 errors, 11 warnings.

OK so far.

    $ sha256sum *
    e226f56a7d12ebba9c459fad62f05d5e3f03ae24827aaf2c1f5af8ecd585281d  supernova-0.7.5.tar.gz
    a08a641f617c8411ab9e0f7794c93a49cd5fe2efa9b638f9a834c75510679dc6  supernova-0.7.5.tar.gz.orig

The checksums differ, which is a usual problem for Git checkouts. No matter, but for future packages, you should use the following command for download, which delivers an unique checksum:

wget --content-disposition https://github.com/rackerhacker/supernova/tarball/c6b6b5a8e9

This is an example for the current Git state. Similar commands can be used for all Github stuff. BTW, there's a Git tag missing from your download command, so it fetches always the latest content. 
 
Moreover, I'm missing %doc. There should be at least README.md as a minimal documentation.
Comment 8 Mario Blättermann 2012-12-26 18:37:51 EST
Ping...?

Note You need to log in before you can comment on or make changes to this bug.